<template>
    <v-footer app>
        <v-container fluid>
            <v-row :class="[{ 'pl-16 pr-16': $vuetify.breakpoint.mdAndUp }]">
                <hr class="mb-5" />
                <v-col class="desktop-footer" cols="6" md="3"
                    ><p class="footer-title">
                        {{ $t('appFooter.title') }}
                    </p>
                    <p class="footer-title">
                        {{ $t('appFooter.subtitle') }}
                    </p>
                    <img
                    :src="logo"
                    max-height="40"
                    max-width="200"
                    /></v-col
                >
                <v-col class="mobile-footer" cols="6" md="3"
                    ><p class="footer-title">
                        {{ $t('appFooter.title') }}
                    </p>
                    <p class="footer-title">
                        {{ $t('appFooter.subtitle') }}
                    </p>
                    </v-col
                >
                <v-col class="mobile-logo" cols="6" md="3">
                    <img
                    :src="logo"
                    max-height="40"
                    max-width="200"
                    /></v-col
                >
                <v-col cols="6" md="3">
                    <p class="footer-title">{{ $t('appFooter.poweredBy') }}</p>
                    <ul>
                        <li><img :src="visa" width="51" height="15" /></li>
                        <li><img :src="master" width="35" height="20" /></li>
                    </ul>
                </v-col>
                <v-col class="mobile-footer" cols="6" md="3"
                    ><p class="footer-title">
                        {{ $t('appFooter.followUs') }}
                    </p>
                    <ul>
                        <li
                            class="pointer"
                            @click="goToPage(menus.FACEBOOK.id)"
                        >
                            <img :src="facebook" width="24" height="24" />
                        </li>
                        <li
                            class="pointer"
                            @click="goToPage(menus.INSTAGRAM.id)"
                        >
                            <img :src="instagram" width="24" height="24" />
                        </li>
                        <li
                            class="pointer"
                        >
                            <img :src="tiktok" width="24" height="24" />
                        </li>
                    </ul>
                </v-col>
                <v-col cols="6" md="3">
                    <p class="footer-title">{{ $t('appFooter.contactUs') }}</p>
                    <div>
                        {{ $t('appFooter.office') }}: {{ $t('appFooter.officeNumber') }}
                    </div>
                    <div>
                        {{ $t('appFooter.whatsapp') }}: {{ $t('appFooter.whatsappNumber') }}
                    </div>
                    <div>
                        <a
                            target="_blank"
                            :href="
                                'mailto:' +
                                $t('appFooter.contactEmail') +
                                '?subject=Hey%20there&body=Hey%20there,%20how%20have%20you%20been?'
                            "
                        >
                            {{ $t('appFooter.email') }}: {{ $t('appFooter.contactEmail') }}
                        </a>
                    </div>
                    <div class="address-container">
                        <p>{{ $t('appFooter.address') }}</p>
                    </div>
                </v-col>
                <v-col class="desktop-footer" cols="6" md="3"
                    ><p class="footer-title">
                        {{ $t('appFooter.followUs') }}
                    </p>
                    <ul>
                        <li
                            class="pointer"
                            @click="goToPage(menus.FACEBOOK.id)"
                        >
                            <img :src="facebook" width="24" height="24" />
                        </li>
                        <li
                            class="pointer"
                            @click="goToPage(menus.INSTAGRAM.id)"
                        >
                            <img :src="instagram" width="24" height="24" />
                        </li>
                        <li
                            class="pointer"
                        >
                            <img :src="tiktok" width="24" height="24" />
                        </li>
                    </ul>
                </v-col>
            </v-row>

            <!-- COPYRIGHT -->
            <v-row>
                <v-col class="d-flex justify-center">
                    <ul>
                        <li class="footer-title">
                            &copy; {{ new Date().getFullYear() }}
                            {{ $t('appFooter.copyright') }}
                        </li>
                        <li
                            class="footer-title pointer"
                            @click="goToPage(menus.PRIVACY.id)"
                        >
                            {{ $t('appFooter.rental') }}
                        </li>
                        <li
                            class="footer-title pointer"
                            @click="goToPage(menus.TERMS.id)"
                        >
                            {{ $t('appFooter.terms') }}
                        </li>
                    </ul>
                </v-col>
            </v-row>
        </v-container>
        <div id="elfsight" />
    </v-footer>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component({
    computed: mapGetters({
        menus: 'menu/getMenu',
    }),
})
export default class AppFooter extends Vue {
    // Data
    menus!: any
    fixed: Boolean = false
    visa: String = require('~/assets/images/visa.png')
    master: String = require('~/assets/images/mastercard.png')
    logo: String = require('~/assets/images/logo.svg')
    facebook: String = require('~/assets/images/facebook-icon.png')
    instagram: String = require('~/assets/images/instagram-icon.png')
    tiktok: String = require('~/assets/images/tiktok-icon.png')

    // Methods
    goToPage(id: Number) {
        switch (id) {
            case this.menus.TERMS.id:
                this.$router.push(this.menus.TERMS.path)
                break

            case this.menus.PRIVACY.id:
                this.$router.push(this.menus.PRIVACY.path)
                break

            case this.menus.FACEBOOK.id:
                window.open(this.menus.FACEBOOK.path)
                break

            case this.menus.INSTAGRAM.id:
                window.open(this.menus.INSTAGRAM.path)
                break

            default:
                this.$router.push('/')
                break
        }
    }

    mounted() {
        const elfsightScript = document.createElement('script')
        elfsightScript.setAttribute(
            'src',
            'https://apps.elfsight.com/p/platform.js'
        )
        elfsightScript.setAttribute('defer', '1')

        const elfsightClass = document.createElement('div')
        elfsightClass.setAttribute(
            'class',
            'elfsight-app-3caf02af-8f03-4c66-bd7a-be5254e5f612'
        )

        const elfSight = document.getElementById('elfsight')!
        elfSight.appendChild(elfsightScript)
        elfSight.appendChild(elfsightClass)
    }
}
</script>
